%bcond_with bootstrap

Name:           atinject
Version:        1.0.5
Release:        %mkrel 3
Group:          Development/Java
Summary:        Dependency injection specification for Java (JSR-330)
License:        ASL 2.0
URL:            https://github.com/eclipse-ee4j/injection-api
BuildArch:      noarch

Source0:        https://github.com/eclipse-ee4j/injection-api/archive/%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

%description
This package specifies a means for obtaining objects in such a way as
to maximize reusability, testability and maintainability compared to
traditional approaches such as constructors, factories, and service
locators (e.g., JNDI). This process, known as dependency injection, is
beneficial to most nontrivial applications.

%{?javadoc_package}

%prep
%setup -q -n injection-api-%{version}

%pom_remove_parent
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :moditect-maven-plugin

%mvn_alias : javax.inject:javax.inject
%mvn_file : atinject

%build
%mvn_build

%install
%mvn_install

%files -n %{?module_prefix}%{name} -f .mfiles
%license LICENSE.txt NOTICE.md



%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1.0.5-3.mga9
+ Revision: 1871012
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.0.5-2.mga9
+ Revision: 1870210
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.0.5-1.mga9
+ Revision: 1863336
- New version 1.0.5
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 11 2020 daviddavid <daviddavid> 1-36.20100611svn86.1.mga8
+ Revision: 1624507
- Allow building against Java 11
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1-21.20100611svn86.7.mga8
+ Revision: 1506531
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-21.20100611svn86.6.mga7
+ Revision: 1261986
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-21.20100611svn86.5.mga7
+ Revision: 1260023
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-21.20100611svn86.4.mga7
+ Revision: 1259820
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1-21.20100611svn86.3.mga6
+ Revision: 982002
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1-21.20100611svn86.2.mga6
+ Revision: 975476
- First rebuild of the java stack
- sync package atinject with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 dmorgan <dmorgan> 1-17.20100611svn86.1.mga5
+ Revision: 794442
- Compile with source/target 1.5

* Wed Oct 15 2014 umeabot <umeabot> 1-6.20100611svn86.7.mga5
+ Revision: 750434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1-6.20100611svn86.6.mga5
+ Revision: 678020
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1-6.20100611svn86.5.mga4
+ Revision: 535798
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 1-6.20100611svn86.4.mga4
+ Revision: 482604
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1-6.20100611svn86.3.mga4
+ Revision: 481201
- Clean spec file

* Fri Jan 11 2013 umeabot <umeabot> 1-6.20100611svn86.2.mga3
+ Revision: 346525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 29 2012 dmorgan <dmorgan> 1-6.20100611svn86.1.mga3
+ Revision: 265194
- Added tck subpackage
  Added OSGi Manifest for Eclipse.

* Wed Apr 27 2011 dmorgan <dmorgan> 1-2.20100611svn86.2.mga1
+ Revision: 92255
- Rebuild after bootstrapping
- imported package atinject


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-2.20100611svn86
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1-1.20100611svn86
- Initial version of the package

